Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
Class CompilationFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      org.codehaus.groovy.control.CompilationFailedException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MultipleCompilationErrorsException

    public class CompilationFailedException
    extends GroovyRuntimeException

Thrown when compilation fails from source errors.

Version:
  $Id: CompilationFailedException.java 10493 2008-01-19 10:23:02Z russel $
Author:
  Chris Poirier
See Also:
  Serialized Form

Field Summary
Modifier and Type | Field and Description
--- | ---
`protected int` | `phase`
`protected ProcessingUnit` | `unit`

Constructor Summary
Constructor and Description
`CompilationFailedException(int phase, ProcessingUnit unit)`
`CompilationFailedException(int phase, ProcessingUnit unit, Throwable cause)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`ProcessingUnit` | `getUnit()` Returns the ProcessingUnit in which the error occurred.

Methods inherited from class groovy.lang.GroovyRuntimeException
`getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

Methods inherited from class java.lang.Throwable
`addSuppressedException, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### phase

    protected int phase

### unit

    protected ProcessingUnit unit

Constructor Detail

### CompilationFailedException

    public CompilationFailedException(int phase,
                                      ProcessingUnit unit,
                                      Throwable cause)

### CompilationFailedException

    public CompilationFailedException(int phase,
                                      ProcessingUnit unit)

Method Detail

### getUnit

    public ProcessingUnit getUnit()

  Returns the ProcessingUnit in which the error occurred.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD